/*? Joshua Evans - 2025-04-30 */
body { 
  padding: 30px; 
  background-image: url('../images/background.jpeg');
  background-size: cover;
}
.overlay  {
  position: fixed;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.80);
  width: 100%;
  height: 100%;
  opacity: 0;
  transition: 0.3s ease opacity;
  z-index: 10;
  pointer-events: none;
}
body.show-floater .floater {
  transform: scale(1.1);
}
body.show-floater .floater input{
  padding: 50px 20px;
  font-size: 18px;
}
body.show-floater .overlay {
  opacity: 1;
  pointer-events: all;
}

.content  {
  font-size: 16px;
  line-height: 1.5;
  max-width: 680px;
  margin: 0 auto;
  position: relative;
  border-radius: 5px;
}

.floater  {
  background: #FFF;    
  transition: 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.4) all;
  margin-bottom: 30px;
  z-index: 11;
}
.floater input {
  padding: 30px 20px;
  border: none;
  box-shadow: none;
  font-size: 16px;
  transition: 0.3s cubic-bezier(0.175, 0.885, 0.32, 1.4) all;
}
.floater-bottom   {
  padding: 6px 10px 8px;
  text-align: right;
  border-top: 1px solid #DDD;
}
.floater-bottom button {
  padding: 4px 8px;
  font-size: 14px;
}
.bookmarks-list {
  position: relative;
  z-index: 9;
}
.bookmark {
  display: flex;
  background: #FFF;
  position: relative;
  color: #999;
  padding: 20px;
  transition: 0.3s ease all;
  border-bottom: 1px solid #DDD;
  font-size: 16px;
}
a.bookmark:hover   {
  color: #1CE;
  text-decoration: none;
}
.bookmark:first-child   {
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
.bookmark:last-child   {
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  border-bottom: 0;
}
.bookmark .img {
  background-color: #DDD;
  border-radius: 3px;
  background-repeat: no-repeat;
  background-image:url('https://pbs.twimg.com/profile_images/804421640465580032/aG7EyewO_400x400.jpg');
  background-size: 100% 100%;
  background-position: top center;
  width: 90px;
  height: 60px;
  margin-right: 20px;
}
.bookmark .title {
  display: flex;
  align-items: center;
}
.bookmark .bi-trash delete-icon-remove {
  position: absolute;
  top: 10px;
  right: 10px;
  color: #EEE;
  font-size: 12px;
  transition: 0.3s ease color;
  cursor: pointer;
}
